From 4e7123f26f72508d03aeb27376e6cad309128611 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 20 2020 04:13:05 +0000
Subject: [PATCH 297/2232] Resolve clippy single_match lint


---

diff --git a/gen/write.rs b/gen/write.rs
index 28a2d3b..9ae114d 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -408,12 +408,10 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         write_type(out, &arg.ty);
     }
     write!(out, ")");
-    match &efn.receiver {
-        Some(Receiver {
-            mutability: None,
-            ident: _,
-        }) => write!(out, " const"),
-        _ => {}
+    if let Some(receiver) = &efn.receiver {
+        if receiver.mutability.is_none() {
+            write!(out, " const");
+        }
     }
     write!(out, " = ");
     match &efn.receiver {

